> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Bank

> API reference for Resolving Bank

Validates and resolves bank account information.
Returns account holder name and other relevant details.


## OpenAPI

````yaml POST /banks/resolve
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /banks/resolve:
    post:
      tags:
        - banks
      summary: Resolve bank account details
      description: |
        Validates and resolves bank account information.
        Returns account holder name and other relevant details.
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: ''
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - account_number
                - bank_code
              properties:
                account_number:
                  type: string
                  description: The bank account number to resolve
                  example: '1234567890'
                bank_code:
                  type: string
                  description: The bank code from the bank list
                  example: '000008'
      responses:
        '200':
          description: Bank account resolved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      destination_institution_code:
                        type: string
                        example: '000008'
                      account_number:
                        type: string
                        example: '1234567890'
                      account_name:
                        type: string
                        example: Lihua Ma
                  message:
                    type: string
                    example: Bank account resolved successfully
              examples:
                basicResolution:
                  value:
                    status: success
                    data:
                      destination_institution_code: '000008'
                      account_number: '1234567890'
                      account_name: Lihua Ma
                    message: Bank account resolved successfully
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: failed
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          example: field
                        value:
                          type: string
                          example: ''
                        msg:
                          type: string
                          example: Account number is required
                        path:
                          type: string
                          example: account_number
                        location:
                          type: string
                          example: body
              examples:
                missingFields:
                  value:
                    status: failed
                    message: Validation error
                    errors:
                      - type: field
                        value: ''
                        msg: Account number is required
                        path: account_number
                        location: body
                      - type: field
                        value: ''
                        msg: Bank code is required
                        path: bank_code
                        location: body
                invalidAccount:
                  value:
                    status: failed
                    message: Validation error
                    errors:
                      - type: field
                        value: '123'
                        msg: Account number must be at least 10 characters
                        path: account_number
                        location: body

````